using StreamBuddy.PluginInterface;
using SQLite;

namespace Giveaway
{
	class GiveawayTable
	{
		[PrimaryKey, Collation("nocase"), NotNull]
		public string Nick { get; set; }
	}

	[Plugin("Giveaway", Description = "Host giveaways in your stream")]
	[Author(Name = "Ananace", Email = "ace@sagaaboutyou.net")]
	public class GiveawayPlugin : IPlugin
	{
		public void Init(IPluginService PS)
		{

		}

		public void Enable()
		{
		}

		public void Disable()
		{
		}

		public void Purge()
		{
		}
	}
}

